# Encrypter

This package contains 2 main functions for Encrypting and Decrypting a file.  encrypt_file() creates an encrypted copy of a file using Fernet (symmetric encryption) in the working directory.
    The function takes a file as main argument and a key_file as optional argument. If no key_file is given, then a key for the encryption is created using Fernet.generate_key()

decrypt_file() is used for decrypting the file generated by the previous function. It requires the encrypted file and the key generated (or used) during the encryption process.

## Installation
To install run the following:
```python
pip install encrypter-fernet-dr
```

## Usage
``` python
from encrypter_fernet_dr import encrypt_file

# generate key and encrypted copy of my_file in the working directory
encrypt_file('my_file')
```
``` python
from encrypter_fernet_dr import decrypt_file

# decrypt the file passing the key generated or used before
decrypt_file('my_file_encrypted', 'my_key')
```

## Developing Encrypter

To install encrypter, along with the tools needed to develop and run tests, run the following in your virtualenv:

```bash
$ pip install -e .[dev]
```
